//Functions for jQuery dynamic menu hiding behaviour

$(document).ready(function() {	

	//select all the a tag with name equal to modal
	$('a[name=modal]').click(function(e) {
		//Cancel the link behavior
		e.preventDefault();
		
		//Get the A tag
		var id = $(this).attr('href');
	
		//Get the screen height and width
		var maskHeight = $(document).height();
		var maskWidth = $(window).width();
	
		//Set heigth and width to mask to fill up the whole screen
		$('#mask').css({'width':maskWidth,'height':maskHeight});
		
		//transition effect		
		$('#mask').fadeIn(1000);	
		$('#mask').fadeTo("medium",0.8);	
	
		//Get the window height and width
		var winH = $(window).height();
		var winW = $(window).width();
              
		//Set the popup window to center
		$(id).css('top',  winH/2-$(id).height()/2);
		$(id).css('left', winW/2-$(id).width()/2);
	
		//transition effect
		$(id).fadeIn(1000); 
	
	});
	
	//if close button is clicked
	$('.window .close').click(function (e) {
		//Cancel the link behavior
		e.preventDefault();
		
		$('#mask').hide();
		$('.window').hide();
	});	
	
	//if close NetEye button is clicked
	$('.window .button').click(function (e) {
		//Cancel the link behavior
		e.preventDefault();
		
		$('#mask').hide();
		$('.window').hide();
	});	
	
	//if mask is clicked
	$('#mask').click(function () {
		$(this).hide();
		$('.window').hide();
	});		
	
	//Menus to close by default at load time 
	$(window).load(function(){
		$("div.testHTMLDebug").slideUp("slow");
	});
	
	
	//Global Restults div
	$("input.buttonTestResultsUp").click(function(){
  		$("div.testResultsHTML").slideUp("slow");});
	$("input.buttonTestResultsDown").click(function(){
		$("div.testResultsHTML").slideDown("slow"); });
	
	//Global Restults div
	$("input.buttonHTMLDebugUp").click(function(){
  		$("div.testHTMLDebug").slideUp("slow");});
	$("input.buttonHTMLDebugDown").click(function(){
		$("div.testHTMLDebug").slideDown("slow"); });
		
});


/*$(document).ready(function(){
  
  	//Global Restults div
	/*$("input.buttonGlobalResultsUp").click(function(){
  		$("div.testGlobalResults").slideUp("slow");});
	$("input.buttonGlobalResultsDown").click(function(){
		$("div.testGlobalResults").slideDown("slow"); });
*/
	//XML Restuts div
	/*$("input.buttonResultsXMLUp").click(function(){
  		$("div.testResultsXML").slideUp("slow");});
	$("input.buttonResultsXMLDown").click(function(){
		$("div.testResultsXML").slideDown("slow"); });
	*/
	//HTML Restuls div
	/*$("input.buttonResultsHTMLUp").click(function(){
  		$("div.testResultsHTML").slideUp("slow");});
	$("input.buttonResultsHTMLDown").click(function(){
		alert("xxx");
		//$("div.testResultsHTML").slideDown("slow");
		});
		*/
		
	//Menus to close by default at load time 
	//$(window).load(function(){
		//$("div.testGlobalResults").slideUp("slow");
	//	$("div.testResultsXML").slideUp("slow");
	//	$("div.testResultsHTML").slideUp("slow");
	//});
	
	
  //});
  